#include <bits/stdc++.h>
using namespace std;
int N,K,A[20009],karta;
int main(){
  cin >> N >> K;
  for(int i=1;i<=N;i++){
    cin >> A[i];
   if(A[i]==K){
    if(i==N){karta=1;}
    else {karta=i+1;}
   }
  }
  cout << A[karta]<<endl;


 return 0;
}